Bug 428665 - subscribing and syncing to remote dynamic ics web calendar not possible
Summary: subscribing and syncing to remote dynamic ics web calendar not possible
Status: REPORTED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-03 22:27 UTC by je-vv
Modified: 2021-05-09 01:16 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description je-vv 2020-11-03 22:27:52 UTC
SUMMARY

On Arch, I've tried subscribing remote dynamic ics web calendars, with the purpose of automatically and periodically sync them.  It ends up that's not possible.

1st, in order to add such remote calendar, it has to be added as a file, and then the worst part is that one gets the note:

>  Select the file whose contents should be represented by this resource. If the file does not exist, it will be created. A URL of a remote file can also be specified, but note that monitoring for file changes will not work in this case.

That means the remote calendar is never going to be synced.  As it's not synced periodically, of course there's no configuration offer to specify how often to sync the calendar.  I need to sync some every day, and others every 15 mins, like the RO office365 one from where I work.  Those calendars need to be synced because they are dynamic, meaning they change over time.  And korganizer seems to only add ics web static calendars.  All such calendars are dynamic, but are as well RO.  So I have no issue with them being set as RO, but I need them to sync, and I need to be able to specify how often to sync, which on the warning message lingo, it means I need them to be monitored...

I'm not using KDE/Plasma as DE, but instead LXQt, but I've installed and used Kontact to test what I'm mentioning.

SOFTWARE/OS VERSIONS
Korganizer version:  20.08.2
Kontact version:  20.08.2
plasma-framework version:  5.75.0
plasma-desktop version:  5.75.0
Qt Version:  5.15

ADDITIONAL INFORMATION
Comment 1 Daniel 2020-11-08 11:51:31 UTC
There is the possibility to specify how often it should be synced: Right click folder -> Folder Properties. Then you can specify how often it should be synced in the second tab.

However, for me it doesn't actually sync. I suppose this is broken…
Comment 2 je-vv 2020-11-08 14:43:45 UTC
(In reply to Daniel from comment #1)
> There is the possibility to specify how often it should be synced: Right
> click folder -> Folder Properties. Then you can specify how often it should
> be synced in the second tab.
> 
> However, for me it doesn't actually sync. I suppose this is broken…

Hmm, as there was no clear method to add the remote calendar, I added it as file.  At any rate when adding it, the warning was clear, the calendar was not going to get monitored, therefore was not going to get any sync...  To me, it has to be fixed from the method to add the remote calendar, it should added as a remote ics web calendar, which is not the same as a local file or folder.  And of course it should allow setting sync configurations per calendar.
Comment 3 je-vv 2021-02-22 00:41:01 UTC
I really need this functionality working.  Isn't any developer really interested on it?  I really don't understand how come this doesn't work till Today.  Even davdroid + icsdroid handle this correctly on Android and Thunderbird does it (It's been working fine on Thunderbird for so long, I can't even remember when this started to work).
Comment 4 James Cain 2021-05-03 13:46:24 UTC
Off topic perhaps, so please remove if appropriate. You can, AFAICT, specify a URL in the .ics file dialogue window that opens, which will load the remote calendar and add both the calendar and an akonadi resource for the remote calendar. 

As mentioned, on the second tab of the folder properties dialogue, one can specify the update interval. It remains to be seem on my system if this is working, however I can confirm that manually updating the folder DOES work. Not ideal, but perhaps a workable solution in the interim until this bug gets fixed / closed.
Comment 5 je-vv 2021-05-09 01:16:44 UTC
(In reply to James Cain from comment #4)
> As mentioned, on the second tab of the folder properties dialogue, one can
> specify the update interval. It remains to be seem on my system if this is
> working, however I can confirm that manually updating the folder DOES work.
> Not ideal, but perhaps a workable solution in the interim until this bug
> gets fixed / closed.

I've tried both, adding an ical file, and adding an ical directory.  In both cases, after created, and looking at its folder properties, on the 2nd tab, called "Retrieval", it's "Synchronize when selecting this folder" is ALWAYS un-selected and grayed out (not possible to select it), and its "Automatically synchronize after" is ALWAYS with NEVER selection, and also grayed out (not possible to change selection).  So no, that is not working unfortunately.

Moreover, as mentioned before, there should be an option to add a remote ics/ical calendar, and to be able to keep it synchronized automatically.  That doesn't exist at all, one can add the URL to the file or the directory calendars, but those are clearly meant for local to the computer calendars...

What saddens me the most, is that it seems devs don't care about this functionality.  Korganizer has years being available, and it's really sad this is still unsupported, :(  I don't even remember Thunderbird not supporting this ever, and even icsdroid (icsx5) is there for Android supporting this.